## freebsd-smbfs 9.0~svn227117

=== lib/libsmb/Makefile ===
# $FreeBSD$

CONTRIBDIR=	${.CURDIR}/../../contrib/smbfs
.PATH: ${CONTRIBDIR}/lib/smb

LIB=	smb
SHLIB_MAJOR=	4
DPADD=	${LIBKICONV}
LDADD=	-lkiconv

SRCS=	rcfile.c ctx.c cfopt.c subr.c nls.c rap.c mbuf.c rq.c file.c \
	print.c \
	kiconv.c \
	nb.c nb_name.c nb_net.c nbns_rq.c

WARNS?=	1
CFLAGS+= -DSMB_CFG_FILE=\"/etc/nsmb.conf\" -I${CONTRIBDIR}/include

.include <bsd.lib.mk>

=== usr.sbin/mount_smbfs/Makefile ===
# $FreeBSD$

PROG=	mount_smbfs
SRCS=	mount_smbfs.c getmntopts.c
MAN=	mount_smbfs.8

MOUNTDIR=	${.CURDIR}/../../sbin/mount
CONTRIBDIR=	${.CURDIR}/../../contrib/smbfs
CFLAGS+=	-DSMBFS -I${MOUNTDIR} -I${CONTRIBDIR}/include

LDADD=	-lsmb -lkiconv
DPADD=	${LIBSMB} ${LIBKICONV}

# Needs to be dynamically linked for optional dlopen() access to
# userland libiconv (see the -E option).
#
NO_SHARED?=	NO

.PATH:	${CONTRIBDIR}/mount_smbfs
.PATH:  ${MOUNTDIR}

.include <bsd.prog.mk>

=== debian/changelog ===
freebsd-smbfs (9.0~svn227117-2) unstable; urgency=low

  * Provide "smbfs".
  * Add "smbutil".

 -- Robert Millan <rmh@debian.org>  Sat, 12 Nov 2011 01:34:05 +0100

freebsd-smbfs (9.0~svn227117-1) unstable; urgency=low

  * Initial release.

 -- Robert Millan <rmh@debian.org>  Sun, 06 Nov 2011 13:00:02 +0100

=== debian/control ===
Source: freebsd-smbfs
Section: otherosfs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 freebsd-buildutils,
 kfreebsd-kernel-headers (>= 0.59),
 libkiconv-dev,
 libbsd-dev,
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-smbfs/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-smbfs/
Standards-Version: 3.9.2

Package: freebsd-smbfs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: smbfs
Description: mount command for the SMB/CIFS filesystem
 This is native SMB/CIFS filesystem (smbfs for short) for GNU/kFreeBSD.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
SHELL=bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -Wno-unknown-pragmas -g -pipe -fPIC -I. \
         -D_GNU_SOURCE -D'__FBSDID(string)=' \
         -D__va_list=__builtin_va_list

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major           := $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')

#SVN		:= http://svn.freebsd.org/base/release/$(version).0
#SVN		:= http://svn.freebsd.org/base/releng/$(version)
SVN		:= http://svn.freebsd.org/base/stable/$(major)
#SVN		:= http://svn.freebsd.org/base/head

SOURCE = freebsd-smbfs
ORIGDIR = $(SOURCE)-$(tar_version)
TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 \
        NOSHARED=NO NO_SHARED=NO DESTDIR=$(DESTDIR) make

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/{etc,sbin/mount}
	for i in \
		contrib/smbfs \
		usr.sbin/mount_smbfs \
		usr.bin/smbutil \
		lib/libsmb \
		sbin/mount/{getmntopts.c,mntopts.h} \
		etc/nsmb.conf \
	; do \
	    svn export $(SVN)/$$i -r $(svn_revision) $(ORIGDIR)/$$i ; \
	done
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

build: build-arch build-indep

build-arch: build-libsmb build-smbfs

build-indep:
# We have nothing to do by default.


build-libsmb: build-libsmb-stamp
build-libsmb-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libsmb
	touch $@

build-smbfs: build-smbfs-stamp
build-smbfs-stamp: build-libsmb-stamp
	$(PMAKE) -C $(CURDIR)/usr.sbin/mount_smbfs
	$(PMAKE) -C $(CURDIR)/usr.bin/smbutil
	touch $@

clean:
	dh_testdir
	dh_testroot

	$(PMAKE) -C $(CURDIR)/lib/libsmb clean
	$(PMAKE) -C $(CURDIR)/usr.sbin/mount_smbfs clean
	$(PMAKE) -C $(CURDIR)/usr.bin/smbutil clean

	rm -f *stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s
	dh_install -s


binary: binary-arch binary-indep

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
#	dh_installexamples
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

.PHONY: build clean binary-indep binary-arch binary install configure build-arch build-indep

## freebsd-smbfs 10.1~svn272500

=== lib/libsmb/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # $FreeBSD$
+
+.include <bsd.own.mk>
 
 CONTRIBDIR=	${.CURDIR}/../../contrib/smbfs
 .PATH: ${CONTRIBDIR}/lib/smb
@@ -16,4 +18,8 @@
 WARNS?=	1
 CFLAGS+= -DSMB_CFG_FILE=\"/etc/nsmb.conf\" -I${CONTRIBDIR}/include
 
+.if ${MK_ICONV} != "no"
+CFLAGS+= -DHAVE_ICONV=1
+.endif
+
 .include <bsd.lib.mk>

=== usr.bin/smbutil/Makefile ===
# $FreeBSD$

PROG=	smbutil
SRCS=	smbutil.c dumptree.c login.c lookup.c view.c print.c

DPADD=	${LIBSMB} ${LIBKICONV}
LDADD=	-lsmb -lkiconv

CONTRIBDIR=	${.CURDIR}/../../contrib/smbfs
CFLAGS+=	-I${CONTRIBDIR}/include

WARNS?=	0

.PATH:	${CONTRIBDIR}/smbutil

.include <bsd.prog.mk>

=== usr.sbin/mount_smbfs/Makefile ===
--- 
+++ 
@@ -11,11 +11,6 @@
 LDADD=	-lsmb -lkiconv
 DPADD=	${LIBSMB} ${LIBKICONV}
 
-# Needs to be dynamically linked for optional dlopen() access to
-# userland libiconv (see the -E option).
-#
-NO_SHARED?=	NO
-
 .PATH:	${CONTRIBDIR}/mount_smbfs
 .PATH:  ${MOUNTDIR}

=== debian/changelog ===
freebsd-smbfs (10.1~svn272500-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream snapshot of 10.1-RC1

  [ Steven Chamberlain ]
  * Add myself to uploaders
  * In get-orig-source, svn export with --ignore-keywords so that
    revision tags do not fuzzy the patches

  [ Christoph Egger ]
  * Upload to unstable

 -- Petr Salinger <Petr.Salinger@seznam.cz>  Sat,  4 Oct 2014 20:05:11 +0200

freebsd-smbfs (10.1~svn271306-1) experimental; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-PRERELEASE
  * Build-Depends on current kfreebsd-kernel-headers
  * Remove patch smbutil.diff applied upstream:
  * makefile.diff: refresh patch, drop unnecessary -ldl
  * strings.diff: new patch;  fix implicit declaration of strcmp due to
    possible typo

 -- Christoph Egger <christoph@debian.org>  Sat, 20 Sep 2014 18:19:34 -0700

freebsd-smbfs (9.0~svn227117-3) unstable; urgency=low

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.

  [ Robert Millan ]
  * Fetch source code securely (https) in get-orig-source.
  * Remove obsolete getvfsbyname.diff (getvfsbyname() is now provided by
    glibc).
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Dec 2013 21:00:51 +0100

=== debian/control ===
Source: freebsd-smbfs
Section: otherosfs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Robert Millan <rmh@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>,
Build-Depends: debhelper (>= 7.0.50~),
 freebsd-buildutils,
 kfreebsd-kernel-headers (>= 10.1~),
 libkiconv-dev,
 libbsd-dev,
 libc0.1-dev (>= 2.13-8),
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-smbfs/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-smbfs/
Standards-Version: 3.9.2

Package: freebsd-smbfs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: smbfs
Description: mount command for the SMB/CIFS filesystem
 This is native SMB/CIFS filesystem (smbfs for short) for GNU/kFreeBSD.

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,13 @@
 	CFLAGS += -O2
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+
+	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
+	BSD_MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
 tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
 svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
@@ -26,10 +33,10 @@
 major           := $(shell echo $(version) | sed -e 's/\..*//g')
 revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
 
-#SVN		:= http://svn.freebsd.org/base/release/$(version).0
-#SVN		:= http://svn.freebsd.org/base/releng/$(version)
-SVN		:= http://svn.freebsd.org/base/stable/$(major)
-#SVN		:= http://svn.freebsd.org/base/head
+#SVN		:= https://svn0.us-west.freebsd.org/base/release/$(version).0
+#SVN		:= https://svn0.us-west.freebsd.org/base/releng/$(version)
+SVN		:= https://svn0.us-west.freebsd.org/base/stable/$(major)
+#SVN		:= https://svn0.us-west.freebsd.org/base/head
 
 SOURCE = freebsd-smbfs
 ORIGDIR = $(SOURCE)-$(tar_version)
@@ -37,7 +44,9 @@
 
 PATH := /usr/lib/freebsd:$(PATH)
 DESTDIR = $(CURDIR)/debian/tmp
-PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 \
+PMAKE = \
+	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 \
         NOSHARED=NO NO_SHARED=NO DESTDIR=$(DESTDIR) make
 
 get-orig-source:
@@ -51,7 +60,7 @@
 		sbin/mount/{getmntopts.c,mntopts.h} \
 		etc/nsmb.conf \
 	; do \
-	    svn export $(SVN)/$$i -r $(svn_revision) $(ORIGDIR)/$$i ; \
+	    svn export --ignore-keywords $(SVN)/$$i -r $(svn_revision) $(ORIGDIR)/$$i ; \
 	done
 	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
 	rm -rf $(ORIGDIR)
